# Your Power Future

## Core Upgrade Notes

- [YPF Core Upgrade 2.2.17.8 -> 2.3.40.2 Ticket](https://enigma-interactive.atlassian.net/browse/NGEDSME-526)
- [YPF Core Upgrade 2.2.17.8 -> 2.3.40.2 Docs](https://enigma-interactive.atlassian.net/wiki/spaces/WPD/pages/34082425/WPD+Core+Upgrade+-+Your+Power+Future+-+2.2.17.8+-+2.3.40.2)
- [Core Releases](https://enigma-interactive.atlassian.net/projects/PF?selectedItem=com.atlassian.jira.jira-projects-plugin%3Arelease-page&status=released-unreleased)
- [YPF Cookie Banner Ticket](https://enigma-interactive.atlassian.net/browse/NGEDSME-527)
- [YPF Core Upgrade 2.2.17.8 -> 2.4.XX](https://enigma-interactive.atlassian.net/wiki/spaces/WPD/pages/266698893/WPD+Core+Upgrade+-+Your+Power+Future+-+2.2.17.8+-+2.4.XX)

UPDATE THIS TOMORROW!!!!!!!!!!!!!

Cookie banner looks good, just need to stop the scrolling.

## Current State

- The site is able to be loaded after running `core deps && core up && core precompile && core again`
- Cookie banner is present and functional on the page, albiet with some MAJOR styling and positioning issues.

## Todo 

- Check upgrade_tickets.csv for full list to check.
	- This list will be converted over to a table that will then go into the Confluence page.
- Cookie Banner styling needs fixing, whether it is functional can be done as part of the ticket checks or high level checks.
- Site initialisation needs fixing, I should be able to do `core checkout [ypf repo] && core deps && core up && core again` and it should just work from that point.
	- This can probably be tested against other sites to make sure that this behaviour is conistent.
	- Think about GUMP here as the basic command runner, perhaps a dev-env.sh module, or just a core wrapper would do.
- Jira page will also need the dependency changes made.
	- At this rate, having a html template or something would be so much easier for these core upgrades.
		- Realistically, its a ticket check between 2 versions, dependency upgrade, high level tests, module tests.

## Scratch Notes

- First thing is to upgrade the core version and then get the site working, everything else comes after the site is live.
- This makes me pray for a real play documentation site.
- Removed the unused deps and updated the rest to 2.4
- I think we needed to do: core configure to hard set some values.
- Need to do `core configure -c 2.4 -j Zulu-21 -p 1.7.1` and update .core_options to 2.4
- play_pdf module seems to have still been using log4j 1 not 2, updating a few methods using: https://logging.apache.org/log4j/2.x/migrate-from-log4j1.html fixed it.
- Commented out WPDFastTags.java from setting display type as it's deprecated, will need to find the right fix for 
- W00002Generator.java needed different sting utils
- JargonBuster needs WPDUtils
- Might have a look at building each module individually to get the right dependencies in, once theyre all fine, the site should work ?
- Core assetsL AssetAttributeSupport was not visible for the rest of the application, those 3 files were moved over
- The above is the main issue, seems to be happening from CoreEvent also?
- Issue woith JargonBuster was coming from utils.WPDUtils vs import wpd.utils.CoreHelper
- java.lang.NullPointerException: Cannot invoke "org.eclipse.jdt.internal.compiler.lookup.TypeBinding.leafComponentType()" because "binding" is null
	- Is this saing that something is missing?
	- That is exactly what it is saying, using core precompile is the way forward
- Looks like the site is now loading!
- Some styling issues are happening though.
- 08:25:57 2025-04-07 I'll run core up and see what happens.
- Looks like that no longer breaks the site, will try the same thing 10:36:10 2025-04-07 for `core refresh --total`
- Site appears to be running, next task is to remove the current cookie implementation and update it to core_cookies 2.4
- Cookies needed webpack installing, `core js-build` after copying the powercuts package.json file worked fine.
- Cookies work but need the correct styling, after this I'll work on trying to clean up the dependencies.
- Cookies seem to just have the styling issue/universal search banner loading fail ? Breaks Angular so thinking it's stopping other execution that needs to happen for the cookies
- I will be being moved off of this work to work on some of the DSO stuff, will need to get this into a state that I can push the changes onto a branch and then comback to it.
- WHY IS THE FUCKING MPSHUB BACK, I know why, I did a full refresh and broke some things!

## Pre Move List
- [ ] core_user module needs BCrypt.java
- [X] core_event 2.0 needing core_article 2.4 instead of 2.0 
	- We're importing core_article 2.4 at the site level, this one is fixed
- [X] core_asset 2.4 requires core_sass 2.4
	- this can do without, no issues without it as we add it in at the site level
- [ ] wpdutils needing `_utilities.gradient.scss`
- [X] wpd news all moved over to 2.4, removed MPsHub from deps
	- This one is fine to leave as is, I'll check if I actually need the entire change however.
	- basic build worked finme
	- full rebuild worked fine
- [X] wpd site contentneeds wpdcustomerportal 1.0
	- Same as wpd news, fine to leave as is, but will double check via build
	- basic build worked fine
	- full rebuild worked fine
- [ ] enums got changed from WPD -> YPFWPD
- [X] added in webpack + potential for vue to get alpine working
	- this will stay in no matter what

## Recurring errors
- The file {module:core_asset}/app/core/asset/CoreAssetPlugin.java could not be compiled. Error raised is : core.AssetAttributeSupport cannot be resolved

## Issue List
- play_pdf module cannot build due to log4j logger being unavailable.
- style module cannot build due to WPDFastTags not being able to see displayType from CoreForm

## Core Versions to check
- project = PF AND fixVersion in (2.2.18, 2.2.18.1,2.2.18.2,2.2.18.3,2.2.18.4,2.2.18.5,2.2.19, 2.2.19.1,2.2.19.2, 2.2.20, 2.3.0, 2.3.02, 2.3.03, 2.3.04, 2.3.05, 2.3.06.1, 2.3.06.2, 2.3.07, 2.3.08, 2.3.09, 2.3.1, 2.3.1.1, 2.3.10, 2.3.10.1, 2.3.10.2, 2.3.11, 2.3.12, 2.3.12.1, 2.3.13, 2.3.13.1, 2.3.14, 2.3.15, 2.3.15.1, 2.3.16, 2.3.17, 2.3.18, 2.3.19, 2.3.19.1, 2.3.20, 2.3.20.1, 2.3.21, 2.3.22, 2.3.22.1, 2.3.23, 2.3.23.1, 2.3.23.2, 2.3.23.3, 2.3.24, 2.3.24.1, 2.3.25, 2.3.25.1, 2.3.25.2, 2.3.25.3, 2.3.26, 2.3.27, 2.3.27.1, 2.3.28, 2.3.28.1, 2.3.28.2, 2.3.28.3, 2.3.28.4, 2.3.29, 2.3.29.1, 2.3.3, 2.3.30, 2.3.30.1, 2.3.31, 2.3.31.1, 2.3.32, 2.3.32.1, 2.3.32.2, 2.3.33, 2.3.33.1, 2.3.34, 2.3.34.1, 2.3.34.2, 2.3.35, 2.3.35.1, 2.3.36, 2.3.36.1, 2.3.36.2, 2.3.37, 2.3.38,2.3.38.1,2.3.38.2,2.3.38.3, 2.3.38.4, 2.3.38.5, 2.3.39, 2.3.39.1, 2.3.4, 2.3.4.1, 2.3.4.2, 2.3.40, 2.3.40.1, 2.3.40.2, 2.3.41, 2.3.41.1, 2.3.41.2, 2.3.42, 2.3.43, 2.3.43.1, 2.3.43.2, 2.3.44, 2.3.44.1, 2.3.45, 2.3.46, 2.3.47, 2.3.48, 2.3.5, 2.3.6, 2.3.7, 2.3.8, 2.3.8.1, 2.3.9, 2.4.0, 2.4.00, 2.4.01, 2.4.02, 2.4.03, 2.4.04, 2.4.05, 2.4.06, 2.4.07, 2.4.08, 2.4.09, 2.4.1, 2.4.1.1, 2.4.1.2, 2.4.2, 2.4.3, 2.4.3.1, 2.4.4, 2.4.4, 2.4.5, 2.4.5.1, 2.4.5.2, 2.4.5.3, 2.4.5.4, 2.4.6, 2.4.6.1, 2.4.6.2, 2.4.6.3, 2.4.7, 2.4.7.1, 2.4.7.2, 2.4.7.3, 2.4.8, 2.4.8.1, 2.4.8.2, 2.4.9, 2.4.9.1, 2.4.9.2, 2.4.10, 2.4.10.1, 2.4.11, 2.4.11.1, 2.4.12, 2.4.12.1, 2.4.12.2, 2.4.12.3, 2.4.12.4, 2.4.13, 2.4.14, 2.4.14.1, 2.4.14.2, 2.4.14.3, 2.4.15, 2.4.15.1, 2.4.15.2, 2.4.16, 2.4.16.1, 2.4.16.2, 2.4.17, 2.4.17.1, 2.4.17.2, 2.4.18, 2.4.18.1, 2.4.18.2, 2.4.19, 2.4.19.1, 2.4.19.2, 2.4.19.3, 2.4.20, 2.4.20.1, 2.4.20.2, 2.4.20.3, 2.4.21, 2.4.21.1, 2.4.22, 2.4.22.1, 2.4.22.2, 2.4.22.3, 2.4.23, 2.4.23.1, 2.4.24, 2.4.25) AND (parent NOT in (PF-4513, PF-4497, PF-3218) OR parent IS null) ORDER BY fixVersion ASC, key ASC 
- All of the tickets are now in a spreadsheet using the above, also put this onto the upgrade page. 
